Edit image popup public checkbox not pulling in value

Bug #1076216 reported by andrewsben on 2012-11-08
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
OpenStack Dashboard (Horizon)
Medium
Julie Pichon
Folsom
Medium
Julie Pichon
horizon (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

When I go to the edit image popup the public checkbox is not checked if the value is set to true. If you are just changing the name or something and don't check the value of the checkbox you can change the public value to false.

Running off of fresh devstack with default options.

Steps:
Upload image with public set to true
Navigate to admin -> images.
Open image information page and verify public is true.
from the images page click on edit.
look at the public checkbox.

Results:
checkbox not checked even though value was true

Expected:
checkbox to represent the value, checked for true unchecked for false.

Fix proposed to branch: master
Review: https://review.openstack.org/15646

Changed in horizon:
assignee: nobody → Julie Pichon (jpichon)
status: New → In Progress

Reviewed: https://review.openstack.org/15646
Committed: http://github.com/openstack/horizon/commit/e2024001c774deae8cb53bdb3a9bb86925bc1960
Submitter: Jenkins
Branch: master

commit e2024001c774deae8cb53bdb3a9bb86925bc1960
Author: Julie Pichon <email address hidden>
Date: Thu Nov 8 16:48:42 2012 +0000

    When editing an image, correctly set the 'is_public' checkbox.

    Fixes bug 1076216.

    Change-Id: Ie185f110a18593295ed0712cd848a3f14a13f2b0

Changed in horizon:
status: In Progress → Fix Committed
Sam Morrison (sorrison) on 2012-11-09
tags: added: folsom-backport-potential
Julie Pichon (jpichon) wrote :

A few thoughts on the "folsom-backport-potential" tag: this fix is heavily dependent on the glance client version, as indicated by Gabriel Hurley in his review. The glance client change [0] happened between the 0.4.0 and 0.4.1 version tag.

If this fix is applied to a codebase that relies on the older client library version, the checkbox will instead always reset to "True" for is_public, which may have more serious privacy implications as users could accidentally turn private images public...

At the moment Horizon's tools/pip-requires only lists python-glanceclient<2 with no minimum version. However both Ubuntu and Fedora seem to ship 0.5.1 only, and if we assume users tracking folsom would also use a recent version of the glance client, then it is probably safe enough to consider it for a backport.

[0] https://github.com/openstack/python-glanceclient/commit/8f0d5c4f2cea6e5dae827b5f728c54dab4a4386b

Fix proposed to branch: stable/folsom
Review: https://review.openstack.org/15898

Reviewed: https://review.openstack.org/15898
Committed: http://github.com/openstack/horizon/commit/65c2ab80f4324c214a3c995bf53cbc911e1a1974
Submitter: Jenkins
Branch: stable/folsom

commit 65c2ab80f4324c214a3c995bf53cbc911e1a1974
Author: Julie Pichon <email address hidden>
Date: Thu Nov 8 16:48:42 2012 +0000

    When editing an image, correctly set the 'is_public' checkbox.

    Fixes bug 1076216.

    Change-Id: Ie185f110a18593295ed0712cd848a3f14a13f2b0

tags: added: in-stable-folsom
Thierry Carrez (ttx) on 2012-11-22
Changed in horizon:
milestone: none → grizzly-1
status: Fix Committed → Fix Released
Mark McLoughlin (markmc) on 2012-11-29
Changed in horizon:
importance: Undecided → Medium
Changed in horizon (Ubuntu):
status: New → Fix Released
Changed in horizon (Ubuntu Quantal):
status: New → Confirmed

Hello andrewsben, or anyone else affected,

Accepted horizon into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/horizon/2012.2.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in horizon (Ubuntu Quantal):
status: Confirmed → Fix Committed
tags: added: verification-needed
Mark McLoughlin (markmc) on 2013-01-22
tags: removed: folsom-backport-potential in-stable-folsom
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 2012.2.1-0ubuntu1

---------------
horizon (2012.2.1-0ubuntu1) quantal-proposed; urgency=low

  * Resynchronize with stable/folsom (da9a19c7) (LP: #1085255):
    - [53954a7] Fixes JavaScript count bug in tables.
    - [65c2ab8] Edit image popup public checkbox not pulling in value
      (LP: #1076216)
    - [cb7aa15] Set defaultbranch in .gitreview to stable/folsom
 -- Adam Gandelman <email address hidden> Tue, 04 Dec 2012 09:19:39 -0800

Changed in horizon (Ubuntu Quantal):
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-04-04
Changed in horizon:
milestone: grizzly-1 → 2013.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers